function onBegin()
	
	disableMovement()
	makeUnskippable()
	disableRetry()
	player.ForceCameraUpdate = true
	wait(1.0)
	say("KtA_CTSD_Concept05_00")
	enableMovement()
	enableRetry()
	setFlag("startflashback",true)
	
end

function onEnd(room, wasSkipped)
	enableMovement()
	enableRetry()
end